<?php
/*
 Shipments (Order Details page)
woocommerce_cpwebservice_shipments.php

Copyright (c) 2013-2015 Jamez Picard

*/
class woocommerce_cpwebservice_shipments
{
	/**
	 * __construct function.
	 *
	 * @access public
	 * @return woocommerce_cpwebservice_shipments
	 */
	function __construct() {
	
		$this->init();
	}
	
	/*
	 * Init
	*/
	function init() {
		$this->options = get_option('woocommerce_cpwebservice', array('enabled'=>'no'));
		if ($this->options->enabled){
			// Wire up actions
			if (is_admin()){
				add_action( 'wp_ajax_cpwebservice_create_shipment' , array(&$this, 'create_shipment_form')  );
			}
		}
	}
	
	
	/**
	 * AJAX method that adds the required styles and scripts, then includes the modal content.
	 */
	public function create_shipment_form() {
		if ( ! isset( $_GET['_wpnonce'] ) || ! wp_verify_nonce( $_GET['_wpnonce'], 'cpwebservice_create_shipment' ) )
			return;
		
		if( !current_user_can( 'manage_woocommerce_orders' ) && !current_user_can( 'edit_shop_orders' ) ) {
			wp_die( __( 'You do not have sufficient permissions to access this page.' ) );
		}
		
		wp_enqueue_script( 'cpwebservice_modal_content' ,plugins_url( 'lib/modal-inline.js' , dirname(__FILE__) ) , array( 'jquery' ) );
		wp_enqueue_style( 'cpwebservice_modal_content' , plugins_url( 'lib/modal-style.css' , dirname(__FILE__) ) );
		wp_enqueue_style( 'cpwebservice_modal_admin' , plugins_url( 'lib/admin.css' , dirname(__FILE__) ) );
		?>
		<!doctype html>
<html lang="en">
<head>
	<meta charset="utf-8">
	<title><?php _e( 'IFrame Modal' , 'iframe_modal' ); ?></title>
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<?php wp_print_styles(); ?>
</head>
<body>
<div class="navigation-bar">
	<nav>
		<ul>
			<li><a href="#"><?php _e( 'Option One' , 'iframe_modal' ); ?></a></li>
			<li><a href="#"><?php _e( 'Option Two' , 'iframe_modal' ); ?></a></li>
			<li class="separator">&nbsp;</li>
			<li><a href="#"><?php _e( 'Option Three' , 'iframe_modal' ); ?></a></li>
		</ul>
	</nav>
</div>
<section class="main">
	<header>
		<h1><?php _e( 'IFrame Modal' , 'iframe_modal' ); ?></h1>
	</header>
	<article>
		<p><?php _e( 'This would be where you built your dialog or workflow.' , 'iframe_modal' ); ?></p>
	</article>
	<footer>
		<div class="inner text-right">
			<button id="btn-cancel" class="button-large"><?php _e( 'Cancel' , 'iframe_modal' ); ?></button>
			<button id="btn-ok" class="button-primary button-large"><?php _e( 'Save &amp; Continue' , 'iframe_modal' ); ?></button>
		</div>
	</footer>
</section>
<?php wp_print_scripts(); ?>
</body>
</html>
		<?php 
		die(); 
	}
	
	
	function send_shipment() {
		// Logic to Send Shipment data to CP.
	}
	
	function get_manifest() {
		// Get Manifest from WebService.
	}
}